Subject: FvwmButtons: containers don't preserve focus style of their contents

From: [email-masked]
Date: Tue, 23 Feb 1999 13:11:43 -0600 (CST)

Full_Name: Neil Zanella
Version: 2.0.46
CVS_Date: 
OS: Linux
X_Server: XF86 3.3.2
Submission from: (NULL) (209.128.28.62)

Consider the following code:

--- begin snippet ---
Module FvwmButtons XtermButton

*XtermButtonRows 1
*XtermButtonColumns 1
*XtermButton(Swallow (Respawn) BXT "Exec /usr/X11R6/bin/xterm -T BXT")
--- end snippet ---

I want the xterm (BXT) in the button to have the focus when the pointer is
over it.
I also want the xterm in the button to maintain the focus as the pointer
moves:
(a) from the "BXT" xterm to the "XtermButton"'s outside parts and then
(b) from the "XtermButton"'s outside parts to the root window

In other words I want BXT to act just like any other SloppyFocus xterm.

To achieve this purpose I put the following code in my configuration file
but it does not work. 

Style XButton SloppyFocus
Style XtermButton ClickToFocus

I then try the following instead which partially works except for parts (a)
and (b)
above do not work.

Style XtermButton SloppyFocus
Style XButton SloppyFocus 

I don't think there's currently a way of achieving the effect in Fvwm as
it
seems that buttons don't preserve the focus properties of the things they
contain.

To summarize, buttons destroy the focus property of objects within
buttons.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]